| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.CustomerAccount Class Reference

Class that holds information about customer label field. More...

Inheritance diagram for LicenseSpring.CustomerAccount:

## Public Member Functions
| CustomerAccount ()
| CustomerAccount default constructor.

## Properties
string | Address`[get, set]`
| Account address.
string | Code`[get, set]`
| Code of the account.
string | CognitoUserPoolId`[get]`
| Account Cognito user pool Id.
uint | Company`[get]`
| Id of the company of the account.
ulong | CustomersCount`[get]`
| Quantity of customers in the account.
string | Description`[get, set]`
| Account description.
string | Email`[get, set]`
| Account email.
ulong | Id`[get]`
| Id of the customer account.
string | Name`[get, set]`
| Account name.
string | Phone`[get, set]`
| Account phone.
string | Reference`[get]`
| Account reference.
Properties inherited from LicenseSpring.ICustomerAccount

## Detailed Description

Class that holds information about customer label field.

## Property Documentation

## ◆ Address

string LicenseSpring.CustomerAccount.Address
| get set

Account address.

Implements LicenseSpring.ICustomerAccount.

## ◆ Code

string LicenseSpring.CustomerAccount.Code
| get set

Code of the account.

Implements LicenseSpring.ICustomerAccount.

## ◆ CognitoUserPoolId

string LicenseSpring.CustomerAccount.CognitoUserPoolId
| get

Account Cognito user pool Id.

Implements LicenseSpring.ICustomerAccount.

## ◆ Company

uint LicenseSpring.CustomerAccount.Company
| get

Id of the company of the account.

Implements LicenseSpring.ICustomerAccount.

## ◆ CustomersCount

ulong LicenseSpring.CustomerAccount.CustomersCount
| get

Quantity of customers in the account.

Implements LicenseSpring.ICustomerAccount.

## ◆ Description

string LicenseSpring.CustomerAccount.Description
| get set

Account description.

Implements LicenseSpring.ICustomerAccount.

## ◆ Email

string LicenseSpring.CustomerAccount.Email
| get set

Account email.

Implements LicenseSpring.ICustomerAccount.

## ◆ Id

ulong LicenseSpring.CustomerAccount.Id
| get

Id of the customer account.

Implements LicenseSpring.ICustomerAccount.

## ◆ Name

string LicenseSpring.CustomerAccount.Name
| get set

Account name.

Implements LicenseSpring.ICustomerAccount.

## ◆ Phone

string LicenseSpring.CustomerAccount.Phone
| get set

Account phone.

Implements LicenseSpring.ICustomerAccount.

## ◆ Reference

string LicenseSpring.CustomerAccount.Reference
| get

Account reference.

Implements LicenseSpring.ICustomerAccount.

The documentation for this class was generated from the following file:

- CustomerAccount.cs